<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.extractor.POITextExtractor (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.extractor.POITextExtractor (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
               title="class in org.apache.poi.extractor">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/extractor/class-use/POITextExtractor.html" target="_top">Frames</a>
        </li>
        <li><a href="POITextExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.extractor.POITextExtractor" class="title">Uses of Class<br>org.apache.poi.extractor.POITextExtractor
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                                    title="class in org.apache.poi.extractor">POITextExtractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.extractor">org.apache.poi.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.extractor.ole2">org.apache.poi.extractor.ole2</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hdgf.extractor">org.apache.poi.hdgf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpbf.extractor">org.apache.poi.hpbf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hpsf.extractor">org.apache.poi.hpsf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.extractor">org.apache.poi.hslf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf.extractor">org.apache.poi.hsmf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.extractor">org.apache.poi.hssf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.extractor">org.apache.poi.hwpf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ooxml.extractor">org.apache.poi.ooxml.extractor</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.extractor">org.apache.poi.sl.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.usermodel">org.apache.poi.sl.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xdgf.extractor">org.apache.poi.xdgf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.extractor">org.apache.poi.xslf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.extractor">org.apache.poi.xssf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xwpf.extractor">org.apache.poi.xwpf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/extractor/package-summary.html">org.apache.poi.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/extractor/package-summary.html">org.apache.poi.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                    title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a></span></code>
                                <div class="block">Common Parent for OLE2 based Text Extractors
                                    of POI Documents, such as .doc, .xls
                                    You will typically find the implementation of
                                    a given format's text extractor under
                                    org.apache.poi.[format].extractor .
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/extractor/package-summary.html">org.apache.poi.extractor</a> with type parameters of type <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static &lt;T extends <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>&gt;<br>T</code></td>
                            <td class="colLast"><span class="typeNameLabel">OLE2ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/extractor/OLE2ExtractorFactory.html#createExtractor-java.io.InputStream-">createExtractor</a></span>(java.io.InputStream&nbsp;input)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static &lt;T extends <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>&gt;<br>T</code></td>
                            <td class="colLast"><span class="typeNameLabel">OLE2ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/extractor/OLE2ExtractorFactory.html#createExtractor-org.apache.poi.poifs.filesystem.POIFSFileSystem-">createExtractor</a></span>(<a
                                    href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                    title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/extractor/package-summary.html">org.apache.poi.extractor</a> that return <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">OLE2ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/extractor/OLE2ExtractorFactory.html#createExtractor-org.apache.poi.poifs.filesystem.DirectoryNode-">createExtractor</a></span>(<a
                                    href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                    title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;poifsDir)</code>
                                <div class="block">Create the Extractor, if possible.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">OLE2ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/extractor/OLE2ExtractorFactory.html#getEmbededDocsTextExtractors-org.apache.poi.extractor.POIOLE2TextExtractor-">getEmbededDocsTextExtractors</a></span>(<a
                                    href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                    title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;ext)</code>
                                <div class="block">Returns an array of text extractors, one for each of
                                    the embedded documents in the file (if there are any).
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">POIOLE2TextExtractor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></span>()</code>
                                <div class="block">Returns an HPSF powered text extractor for the
                                    document properties metadata, such as title and author.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>abstract <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">POITextExtractor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></span>()</code>
                                <div class="block">Returns another text extractor, which is able to
                                    output the textual content of the document
                                    metadata / properties, such as author and title.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.extractor.ole2">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/extractor/ole2/package-summary.html">org.apache.poi.extractor.ole2</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/extractor/ole2/package-summary.html">org.apache.poi.extractor.ole2</a> that return <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">OLE2ScratchpadExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/extractor/ole2/OLE2ScratchpadExtractorFactory.html#createExtractor-org.apache.poi.poifs.filesystem.DirectoryNode-">createExtractor</a></span>(<a
                                    href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                    title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;poifsDir)</code>
                                <div class="block">Look for certain entries in the stream, to figure it
                                    out what format is desired
                                    Note - doesn't check for core-supported formats!
                                    Note - doesn't check for OOXML-supported formats
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hdgf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hdgf/extractor/package-summary.html">org.apache.poi.hdgf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hdgf/extractor/package-summary.html">org.apache.poi.hdgf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hdgf/extractor/VisioTextExtractor.html"
                                    title="class in org.apache.poi.hdgf.extractor">VisioTextExtractor</a></span></code>
                                <div class="block">Class to find all the text in a Visio file, and return it.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpbf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hpbf/extractor/package-summary.html">org.apache.poi.hpbf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hpbf/extractor/package-summary.html">org.apache.poi.hpbf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpbf/extractor/PublisherTextExtractor.html"
                                    title="class in org.apache.poi.hpbf.extractor">PublisherTextExtractor</a></span></code>
                                <div class="block">Extract text from HPBF Publisher files</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hpsf/extractor/package-summary.html">org.apache.poi.hpsf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hpsf/extractor/package-summary.html">org.apache.poi.hpsf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html"
                                    title="class in org.apache.poi.hpsf.extractor">HPSFPropertiesExtractor</a></span></code>
                                <div class="block">Extracts all of the HPSF properties, both
                                    build in and custom, returning them in
                                    textual form.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hpsf/extractor/package-summary.html">org.apache.poi.hpsf.extractor</a> that return <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HPSFPropertiesExtractor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hpsf/extractor/HPSFPropertiesExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></span>()</code>
                                <div class="block">Prevent recursion!</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hslf/extractor/package-summary.html">org.apache.poi.hslf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hslf/extractor/package-summary.html">org.apache.poi.hslf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hslf/extractor/PowerPointExtractor.html"
                                    title="class in org.apache.poi.hslf.extractor">PowerPointExtractor</a></span></code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">in POI 4.0.0, use <a
                                            href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                            title="class in org.apache.poi.sl.extractor"><code>SlideShowExtractor</code></a> instead</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hsmf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hsmf/extractor/package-summary.html">org.apache.poi.hsmf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hsmf/extractor/package-summary.html">org.apache.poi.hsmf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hsmf/extractor/OutlookTextExtactor.html"
                                    title="class in org.apache.poi.hsmf.extractor">OutlookTextExtactor</a></span></code>
                                <div class="block">A text extractor for HSMF (Outlook) .msg files.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hssf/extractor/package-summary.html">org.apache.poi.hssf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hssf/extractor/package-summary.html">org.apache.poi.hssf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/extractor/EventBasedExcelExtractor.html"
                                    title="class in org.apache.poi.hssf.extractor">EventBasedExcelExtractor</a></span></code>
                                <div class="block">A text extractor for Excel files, that is based
                                    on the HSSF EventUserModel API.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/extractor/ExcelExtractor.html"
                                    title="class in org.apache.poi.hssf.extractor">ExcelExtractor</a></span></code>
                                <div class="block">A text extractor for Excel files.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/hwpf/extractor/package-summary.html">org.apache.poi.hwpf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/hwpf/extractor/package-summary.html">org.apache.poi.hwpf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/extractor/Word6Extractor.html"
                                    title="class in org.apache.poi.hwpf.extractor">Word6Extractor</a></span></code>
                                <div class="block">Class to extract the text from old (Word 6 / Word 95) Word
                                    Documents.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/extractor/WordExtractor.html"
                                    title="class in org.apache.poi.hwpf.extractor">WordExtractor</a></span></code>
                                <div class="block">Class to extract the text from a Word Document.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ooxml.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/ooxml/extractor/package-summary.html">org.apache.poi.ooxml.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/ooxml/extractor/package-summary.html">org.apache.poi.ooxml.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/POIXMLPropertiesTextExtractor.html"
                                    title="class in org.apache.poi.ooxml.extractor">POIXMLPropertiesTextExtractor</a></span></code>
                                <div class="block">A <a
                                        href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                        title="class in org.apache.poi.extractor"><code>POITextExtractor</code></a> for
                                    returning the textual
                                    content of the OOXML file properties, eg author
                                    and title.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                    title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/ooxml/extractor/package-summary.html">org.apache.poi.ooxml.extractor</a> with type parameters of type <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static &lt;T extends <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>&gt;<br>T</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#createExtractor-org.apache.poi.poifs.filesystem.DirectoryNode-">createExtractor</a></span>(<a
                                    href="../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                    title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;poifsDir)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static &lt;T extends <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>&gt;<br>T</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#createExtractor-java.io.File-">createExtractor</a></span>(java.io.File&nbsp;f)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static &lt;T extends <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>&gt;<br>T</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#createExtractor-org.apache.poi.poifs.filesystem.POIFSFileSystem-">createExtractor</a></span>(<a
                                    href="../../../../../org/apache/poi/poifs/filesystem/POIFSFileSystem.html"
                                    title="class in org.apache.poi.poifs.filesystem">POIFSFileSystem</a>&nbsp;fs)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/ooxml/extractor/package-summary.html">org.apache.poi.ooxml.extractor</a> that return <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#createExtractor-java.io.InputStream-">createExtractor</a></span>(java.io.InputStream&nbsp;inp)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#createExtractor-org.apache.poi.openxml4j.opc.OPCPackage-">createExtractor</a></span>(<a
                                    href="../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html"
                                    title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;pkg)</code>
                                <div class="block">Tries to determine the actual type of file and produces a matching
                                    text-extractor for it.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getEmbeddedDocsTextExtractors-org.apache.poi.extractor.POIOLE2TextExtractor-">getEmbeddedDocsTextExtractors</a></span>(<a
                                    href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                    title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;ext)</code>
                                <div class="block">Returns an array of text extractors, one for each of
                                    the embedded documents in the file (if there are any).
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getEmbeddedDocsTextExtractors-org.apache.poi.ooxml.extractor.POIXMLTextExtractor-">getEmbeddedDocsTextExtractors</a></span>(<a
                                    href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                    title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a>&nbsp;ext)</code>
                                <div class="block">Returns an array of text extractors, one for each of
                                    the embedded documents in the file (if there are any).
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getEmbededDocsTextExtractors-org.apache.poi.extractor.POIOLE2TextExtractor-">getEmbededDocsTextExtractors</a></span>(<a
                                    href="../../../../../org/apache/poi/extractor/POIOLE2TextExtractor.html"
                                    title="class in org.apache.poi.extractor">POIOLE2TextExtractor</a>&nbsp;ext)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">Use the method with correct "embedded"</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">ExtractorFactory.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/ooxml/extractor/ExtractorFactory.html#getEmbededDocsTextExtractors-org.apache.poi.ooxml.extractor.POIXMLTextExtractor-">getEmbededDocsTextExtractors</a></span>(<a
                                    href="../../../../../org/apache/poi/ooxml/extractor/POIXMLTextExtractor.html"
                                    title="class in org.apache.poi.ooxml.extractor">POIXMLTextExtractor</a>&nbsp;ext)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">Use the method with correct "embedded"</span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.sl.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/sl/extractor/package-summary.html">org.apache.poi.sl.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/sl/extractor/package-summary.html">org.apache.poi.sl.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                    title="class in org.apache.poi.sl.extractor">SlideShowExtractor</a>&lt;S extends <a
                                    href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                    title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                                    href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                                    href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                                    title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></code>
                                <div class="block">Common SlideShow extractor</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/sl/extractor/package-summary.html">org.apache.poi.sl.extractor</a> that return <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SlideShowExtractor.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.sl.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a> that return <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                    title="class in org.apache.poi.extractor">POITextExtractor</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html#getMetadataTextExtractor--">getMetadataTextExtractor</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xdgf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/xdgf/extractor/package-summary.html">org.apache.poi.xdgf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/xdgf/extractor/package-summary.html">org.apache.poi.xdgf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xdgf/extractor/XDGFVisioExtractor.html"
                                    title="class in org.apache.poi.xdgf.extractor">XDGFVisioExtractor</a></span></code>
                                <div class="block">Helper class to extract text from an OOXML Visio File</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xslf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/xslf/extractor/package-summary.html">org.apache.poi.xslf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/xslf/extractor/package-summary.html">org.apache.poi.xslf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xslf/extractor/XSLFPowerPointExtractor.html"
                                    title="class in org.apache.poi.xslf.extractor">XSLFPowerPointExtractor</a></span></code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                    <div class="block"><span class="deprecationComment">use <a
                                            href="../../../../../org/apache/poi/sl/extractor/SlideShowExtractor.html"
                                            title="class in org.apache.poi.sl.extractor"><code>SlideShowExtractor</code></a></span>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/xssf/extractor/package-summary.html">org.apache.poi.xssf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/xssf/extractor/package-summary.html">org.apache.poi.xssf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/extractor/XSSFBEventBasedExcelExtractor.html"
                                    title="class in org.apache.poi.xssf.extractor">XSSFBEventBasedExcelExtractor</a></span></code>
                                <div class="block">Implementation of a text extractor or xlsb Excel
                                    files that uses SAX-like binary parsing.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/extractor/XSSFEventBasedExcelExtractor.html"
                                    title="class in org.apache.poi.xssf.extractor">XSSFEventBasedExcelExtractor</a></span></code>
                                <div class="block">Implementation of a text extractor from OOXML Excel
                                    files that uses SAX event based parsing.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xssf/extractor/XSSFExcelExtractor.html"
                                    title="class in org.apache.poi.xssf.extractor">XSSFExcelExtractor</a></span></code>
                                <div class="block">Helper class to extract text from an OOXML Excel file</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xwpf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                   title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                            href="../../../../../org/apache/poi/xwpf/extractor/package-summary.html">org.apache.poi.xwpf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
                                title="class in org.apache.poi.extractor">POITextExtractor</a> in <a
                                href="../../../../../org/apache/poi/xwpf/extractor/package-summary.html">org.apache.poi.xwpf.extractor</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/xwpf/extractor/XWPFWordExtractor.html"
                                    title="class in org.apache.poi.xwpf.extractor">XWPFWordExtractor</a></span></code>
                                <div class="block">Helper class to extract text from an OOXML Word file</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/extractor/POITextExtractor.html"
               title="class in org.apache.poi.extractor">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/extractor/class-use/POITextExtractor.html" target="_top">Frames</a>
        </li>
        <li><a href="POITextExtractor.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
